/*------------------------------------------------------------------------
  File        : WebApp/EC/BL/Trace.i
  Purpose     : 
  Syntax      : 
  Description : 
  Author(s)   : marc
  Created     : 31-08-2018 16:57:38
  Syntax      : 
------------------------------------------------------------------------*/

/* ***************************  Main Block  *************************** */

DEFINE TEMP-TABLE ttTrace BEFORE-TABLE bttTrace
    FIELD blnr LIKE ec-trace.blnr
    FIELD bookingnr LIKE ec-trace.bookingnr
    FIELD checked LIKE ec-trace.checked FORMAT "X(50)"
    FIELD companycode LIKE ec-trace.companycode
    FIELD containernr LIKE ec-trace.containernr
    FIELD containerprefix LIKE ec-trace.containerprefix
    FIELD customer LIKE ec-trace.customer
    FIELD damage_remarks LIKE ec-trace.damage_remarks
    FIELD date_seq LIKE ec-trace.date_seq
    FIELD des LIKE ec-trace.des
    FIELD dest_portcode LIKE ec-trace.dest_portcode
    FIELD dis_locationcode LIKE ec-trace.dis_locationcode
    FIELD dropoff_refnr LIKE ec-trace.dropoff_refnr
    FIELD dt_input LIKE ec-trace.dt_input
    FIELD dt_move LIKE ec-trace.dt_move
    FIELD edi_filename LIKE ec-trace.edi_filename
    FIELD ext_addressnr LIKE ec-trace.ext_addressnr
    FIELD ext_alfa_1 LIKE ec-trace.ext_alfa_1
    FIELD ext_alfa_2 LIKE ec-trace.ext_alfa_2
    FIELD ext_alfa_3 LIKE ec-trace.ext_alfa_3
    FIELD ext_alfa_4 LIKE ec-trace.ext_alfa_4
    FIELD ext_alfa_5 LIKE ec-trace.ext_alfa_5
    FIELD ext_date_1 LIKE ec-trace.ext_date_1
    FIELD ext_date_2 LIKE ec-trace.ext_date_2
    FIELD ext_dec_1 LIKE ec-trace.ext_dec_1
    FIELD ext_dec_2 LIKE ec-trace.ext_dec_2
    FIELD ext_int_1 LIKE ec-trace.ext_int_1
    FIELD ext_int_2 LIKE ec-trace.ext_int_2
    FIELD ext_linecode LIKE ec-trace.ext_linecode
    FIELD ext_locationcode LIKE ec-trace.ext_locationcode
    FIELD ext_motcode LIKE ec-trace.ext_motcode
    FIELD ext_portcode LIKE ec-trace.ext_portcode
    FIELD ext_statuscode LIKE ec-trace.ext_statuscode
    FIELD full_empty LIKE ec-trace.full_empty
    FIELD ind_damaged LIKE ec-trace.ind_damaged
    FIELD ind_non_operating_reefer LIKE ec-trace.ind_non_operating_reefer
    FIELD input_usercode LIKE ec-trace.input_usercode
    FIELD linecode LIKE ec-trace.linecode
    FIELD locationcode LIKE ec-trace.locationcode
    FIELD motcode LIKE ec-trace.motcode
    FIELD move_refnr LIKE ec-trace.move_refnr
    FIELD pickup_refnr LIKE ec-trace.pickup_refnr
    FIELD pod_portcode LIKE ec-trace.pod_portcode
    FIELD pol_portcode LIKE ec-trace.pol_portcode
    FIELD redelivery_details LIKE ec-trace.redelivery_details
    FIELD release_refnr LIKE ec-trace.release_refnr
    FIELD sealno LIKE ec-trace.sealno
    FIELD sendercode LIKE ec-trace.sendercode
    FIELD servicecode LIKE ec-trace.servicecode
    FIELD statuscode LIKE ec-trace.statuscode
    FIELD stow_cell LIKE ec-trace.stow_cell
    FIELD subleasecontractcode LIKE ec-trace.subleasecontractcode
    FIELD tim_input LIKE ec-trace.tim_input
    FIELD time_move LIKE ec-trace.time_move
    FIELD typecode LIKE ec-trace.typecode
    FIELD vesselcode LIKE ec-trace.vesselcode
    FIELD vesselnr LIKE ec-trace.vesselnr
    FIELD weight LIKE ec-trace.weight
.

DEFINE DATASET dsTrace FOR ttTrace.